Subject: Re: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: Liyu Gong <[email-masked]>
Date: Sun, 8 Apr 2018 00:15:30 -0400

Ahha,

This is it. I customized the variable TeX-kpathsea-path-delimiter to
";", then the aa.tex file can be compiled smoothly.

Thanks,
Liyu

On Sun, Apr 8, 2018 at 12:09 AM, Liyu Gong <[email-masked]> wrote:
> Hi Ikumi,
>
> The value is ":"
>
> TeX-kpathsea-path-delimiter is a variable defined in ‘tex.el’.
> Its value is ":"
>
> Documentation:
> Path delimiter for kpathsea output.
> t means autodetect, nil means kpathsea is disabled.
>
> You can customize this variable.
>
> Thanks,
> Liyu
>
> On Sun, Apr 8, 2018 at 12:00 AM, Ikumi Keita <[email-masked]> wrote:
>> Hi Liyu, thanks for your cooperation.
>>
>>>>>>> Liyu Gong <[email-masked]> writes:
>>> Hi Joe and David,
>>> My values is:
>>> .:d:/.emacs.d/elpa/auctex-12.1.1/latex:
>>
>>> on the old version which works for the file, the value is:
>>> .;d:/.emacs.d/elpa/auctex-11.91.0/latex;
>>
>>> Note that the path separator are different, for 12.1.1, it is ":", for
>>> 11.91.0, it is ";". I'm not sure whether it is important.
>>
>> Apparently the change I introduced in
>> https://lists.gnu.org/archive/html/auctex-devel/2017-12/msg00016.html
>> interferes with `preview-TeX-style-cooked' and it does not use the right
>> separator.
>> I'll look into that from now on.
>>
>> Could you provide the value of the elisp variable
>> `TeX-kpathsea-path-delimiter' ?
>>
>> Regards,
>> Ikumi Keita